<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>35.90</title>
</head>

<body>
    <div class="container">
        <table id="table-album" class="table table-bordered table-striped">
            <thead class="bg-info">
                <tr>
                    <th scope="col">STT</th>
                    <th scope="col">Album</th>
                    <th scope="col">Title</th>
                    <th scope="col">Url ảnh</th>
                    <th scope="col">Thumbnail</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gAlbumListObj = {
        albumId: "",
        id: "",
        title: "",
        url: "",
        thumbnailUrl: ""
    }
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onPageLoading()
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        //B1: doc du lieu(khong co)

        //B2: validate du lieu (ko co)

        //B3: goi API
        goiApiLayListAlbum()
        //B4: hien thi du lieu:

    }



    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    function goiApiLayListAlbum() {
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/albums/3/photos",
            type: "GET",
            success: function (paramAlbumListObj) {
                console.log(paramAlbumListObj)
                hienThiDuLieu(paramAlbumListObj)
            },
            error: function (paramError) {
                console.log(paramError.responseText)
            }
        })
    }
    function hienThiDuLieu(paramAlbumListObj) {
        var vAlbumTable = $("#table-album");
        for (var bI = 0; bI < paramAlbumListObj.length; bI++) {
            var bNewRow = $("<tr>").appendTo(vAlbumTable);

            $("<td>", { html: bI + 1 }).appendTo(bNewRow);
            $("<td>", { html: paramAlbumListObj[bI].albumId }).appendTo(bNewRow);
            $("<td>", { html: paramAlbumListObj[bI].title }).appendTo(bNewRow);
            $("<td>", { html: paramAlbumListObj[bI].url }).appendTo(bNewRow);
                var bThumnailCell = $("<td>").appendTo(bNewRow);
                $("<img>", {
                    src: paramAlbumListObj[bI].thumbnailUrl
                }).appendTo(bThumnailCell)



            // $("<td>", { prop("img", "paramAlbumListObj[bI].thumbnailUrl")}).appendTo(bNewRow);
        }
    }

</script>

</html>